Name:           firehol
Version:        2.0.1
Release:        1%{?dist}
Summary:        Simple and powerful firewall and traffic shaping languages
License:        GPLv2+
URL:            http://firehol.org
Source0:        http://firehol.org/download/latest/firehol-%{version}.tar.xz
Source1:        firehol.service
Source2:        fireqos.service
BuildArch:      noarch
BuildRequires:  hostname
BuildRequires:  iproute
BuildRequires:  iptables
BuildRequires:  procps-ng
BuildRequires:  systemd
Requires:       coreutils
Requires:       gawk
Requires:       grep
Requires:       gzip
Requires:       hostname
Requires:       iproute
Requires:       iptables
Requires:       less
Requires:       procps-ng
Requires:       sed
Requires:       util-linux
Requires(post):  systemd
Requires(preun):  systemd
Requires(postun):  systemd
%if 0%{?rhel} > 0 && 0%{?rhel} < 7
Requires:       module-init-tools
%else
Requires:       kmod
%endif

%description
FireHOL is a generic firewall generator, meaning that you can design any kind
of local or routing stateful packet filtering firewalls with ease. Install
FireHOL if you want an easy way to configure stateful packet filtering
firewalls on Linux hosts and routers.

FireHOL uses an extremely simple but powerful way to define firewall rules
which it turns into complete stateful iptables firewalls.

You can run FireHOL with the 'helpme' argument, to get a configuration
file for the system run, which you can modify according to your
needs. The default configuration file will allow only client traffic
on all interfaces.

%prep
%setup -q

%build
%configure
make %{?_smp_flags}

%install
%make_install

# Hack for documentation without crufts.
rm -frv %{buildroot}%{_docdir}
find examples/ -name "Makefile*" -delete -print

# Install systemd units.
mkdir -p %{buildroot}%{_unitdir}
install -pm644 %{S:1} %{S:2} %{buildroot}%{_unitdir}

# Install runtime directories.
mkdir -p %{buildroot}%{_sysconfdir}/firehol/services
mkdir -p %{buildroot}%{_localstatedir}/spool/firehol

# Ghost configurations.
touch %{buildroot}%{_sysconfdir}/firehol/firehol.conf \
      %{buildroot}%{_sysconfdir}/firehol/fireqos.conf

%post
%systemd_post firehol.service
%systemd_post fireqos.service

%preun
%systemd_preun firehol.service
%systemd_preun fireqos.service

%postun
%systemd_postun_with_restart firehol.service
%systemd_postun_with_restart fireqos.service

%files
%doc AUTHORS NEWS README THANKS examples
%doc doc/firehol/firehol-manual.{pdf,html}
%doc doc/fireqos/fireqos-manual.{pdf,html}
%license COPYING
%dir %{_sysconfdir}/firehol
%config(noreplace) %{_sysconfdir}/firehol/firehol.conf
%config(noreplace) %{_sysconfdir}/firehol/fireqos.conf
%{_sysconfdir}/firehol/firehol.conf.example
%{_sysconfdir}/firehol/fireqos.conf.example
%{_sysconfdir}/firehol/services/bittorrent.conf.example
%{_unitdir}/firehol.service
%{_unitdir}/fireqos.service
%{_sbindir}/firehol
%{_sbindir}/fireqos
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%dir %{_sysconfdir}/firehol/services/
%{_localstatedir}/spool/firehol

%changelog
* Sun Feb 15 2015 Christopher Meng <cickumqt@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Mon Aug 11 2014 Christopher Meng <cickumqt@gmail.com> - 2.0.0-0.1.rc1
- Update to 2.0rc1
